const u = (n, e, { checkForDefaultPrevented: o = true } = {}) => (t) => {
  const l = n == null ? void 0 : n(t);
  if (o === false || !l)
    return e == null ? void 0 : e(t);
};
export {
  u as composeEventHandlers
};
